@charset "UTF-8";

.vacancies__wrapper {
    display: grid;
    grid-template-columns: 1fr 360px;
    gap: 60px;
}

.vacancies__head {
    font-weight: 500;
    font-size: var(--fluid-40-24);
    line-height: 110%;
    margin-bottom: 24px;
}

.vacancies__table {
    display: grid;
    gap: 24px;
    margin-bottom: 24px;
}

.vacancies-form {
    border-radius: 20px;
    padding: 32px;
    background: var(--fon);
    font-weight: 400;
    font-size: var(--fluid-18-15);
    line-height: 150%;
    display: grid;
}

.vacancies-form ul li {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    gap: 9px;
}

.vacancies-form ul li:not(:last-child) {
    margin-bottom: 3px;
}

.vacancies-form h2 {
    font-weight: 600;
    font-size: var(--fluid-22-18);
    line-height: 130%;
    margin-bottom: 8px;
}

.vacancies-form h3 {
    font-weight: 600;
    font-size: var(--fluid-18-15);
    line-height: 150%;
    margin-bottom: 3px;
}

.vacancies-form ul {
    margin-bottom: 16px;
}

.vacancy-card {
    border-radius: var(--main-chamfer);
    padding: 32px;
    background-color: var(--clr-1, #f4f9ff);
    height: 100%;
    display: grid;
    grid-template-columns: 1fr 196px;
    -ms-flex-align: start;
    align-items: start;
    gap: 24px;
}

.vacancy-card__content h2 {
    font-weight: 500;
    font-size: var(--fluid-28-20);
    line-height: 120%;
    margin-bottom: 8px;
}

.vacancy-card__content h3 {
    font-weight: 600;
    font-size: var(--fluid-20-16);
    line-height: 120%;
    margin-top: 24px;
    margin-bottom: 8px;
}

.vacancy-card__count {
    font-weight: 400;
    font-size: var(--fluid-18-15);
    line-height: 150%;
    display: -ms-inline-flexbox;
    display: inline-flex;
    -ms-flex-align: center;
    align-items: center;
}

.vacancy-card__count::before {
    content: "Вакансий: ";
    margin-right: 4px;
}

.vacancy-card__count::after {
    content: "";
    width: 4px;
    height: 4px;
    border-radius: 50%;
    background: var(--mrk-clr, #52aec7);
    margin-left: 4px;
}

.vacancy-card__conditions {
    display: inline-block;
    font-weight: 400;
    font-size: var(--fluid-18-15);
    line-height: 150%;
}

.vacancy-card__salary {
    font-weight: 500;
    font-size: 15px;
    line-height: 130%;
}

.vacancy-card__salary::after {
    content: " " attr(data-subtitle);
    font-weight: 500;
    font-size: var(--fluid-16-13);
    line-height: 120%;
}

.rs-vacancies {
    padding-top: 80px;
}

.rs-vacancies .vacancy-card:nth-child(3n+1) {
    --clr-1: var(--fon-siniy);
    --mrk-clr: var(--goluboy-luch);
}

.rs-vacancies .vacancy-card:nth-child(3n+2) {
    --clr-1: var(--fon-zheltyy);
    --mrk-clr: var(--zheltyy-luch);
}

.rs-vacancies .vacancy-card:nth-child(3n+3) {
    --clr-1: var(--fon-zelenyy);
    --mrk-clr: var(--lazurnyy-luch);
}

@media (min-width: 767.98px) {
    .header-is-show .vacancies__form > * {
        top: 82px;
    }

    .vacancy-card__salary {
        border-radius: 8px;
        padding: 16px;
        background: rgba(255, 255, 255, 0.7);
        font-weight: 600;
        font-size: var(--fluid-20-16);
        line-height: 120%;
    }

    .vacancy-card__salary::after {
        display: block;
    }
}

@media (min-width: 1023.98px) {
    .vacancies__form > * {
        position: -webkit-sticky;
        position: sticky;
        transition: top 0.25s ease-in;
    }

    .vacancies__form > * {
        top: 4px;
    }

    .header-is-show .vacancies__form > * {
        top: 140px;
    }
}

@media (max-width: 1250px) {
    .vacancy-card {
        padding: 24px;
    }
}

@media (max-width: 1199.98px) {
    .vacancies__wrapper {
        gap: 16px;
    }
}

@media (max-width: 1023.98px) {
    .vacancies__wrapper {
        grid-template-columns: 1fr;
    }

    .vacancies__content {
        display: contents;
    }

    .vacancies__head {
        margin-bottom: 0;
    }

    .vacancies__table {
        margin-bottom: 0;
        gap: 16px;
    }

    .vacancies__pagination {
        -ms-flex-order: 5;
        order: 5;
    }
}

@media (max-width: 767.98px) {
    .vacancies-form {
        padding: 16px;
    }

    .vacancy-card {
        grid-template-columns: 1fr;
        padding: 16px;
        gap: 0px;
    }

    .vacancy-card__content {
        display: contents;
    }

    .vacancy-card__content h2 {
        -ms-flex-order: -2;
        order: -2;
    }

    .vacancy-card__content h3 {
        margin-top: 16px;
        margin-bottom: 3px;
    }

    .vacancy-card__count::after {
        display: none;
    }

    .vacancy-card__salary {
        -ms-flex-order: -1;
        order: -1;
    }

    .rs-vacancies {
        padding-top: 24px;
    }
}